From 5164e713f620972b43c54e34a653a932c968e653 Mon Sep 17 00:00:00 2001
From: Mario Limonciello <mario.limonciello@dell.com>
Date: Thu, 18 Jun 2020 12:11:31 -0500
Subject: [PATCH] trivial: fix issue with agent on but man off

Fixes: #2192
---
 src/meson.build | 64 +++++++++++++++++++++++++------------------------
 1 file changed, 33 insertions(+), 31 deletions(-)

diff --git a/src/meson.build b/src/meson.build
index 7a0b2976a..9a8334973 100644
--- a/src/meson.build
+++ b/src/meson.build
@@ -166,22 +166,24 @@ fwupdtool = executable(
   install_dir : bindir
 )
 
-if build_daemon and get_option('man')
+if get_option('man')
   help2man = find_program('help2man')
-  custom_target('fwupdmgr-man',
-    input : fwupdmgr,
-    output : 'fwupdmgr.1',
-    command : [
-      help2man, '@INPUT@',
-      '--no-info',
-      '--output', '@OUTPUT@',
-      '--name', 'Firmware update manager client utility',
-      '--manual', 'User Commands',
-      '--version-string', fwupd_version,
-    ],
-    install : true,
-    install_dir : join_paths(mandir, 'man1'),
-  )
+  if build_daemon
+    custom_target('fwupdmgr-man',
+      input : fwupdmgr,
+      output : 'fwupdmgr.1',
+      command : [
+        help2man, '@INPUT@',
+        '--no-info',
+        '--output', '@OUTPUT@',
+        '--name', 'Firmware update manager client utility',
+        '--manual', 'User Commands',
+        '--version-string', fwupd_version,
+      ],
+      install : true,
+      install_dir : join_paths(mandir, 'man1'),
+    )
+  endif
   if get_option('agent')
     custom_target('fwupdagent-man',
       input : fwupdagent,
@@ -198,22 +200,22 @@ if build_daemon and get_option('man')
       install_dir : join_paths(mandir, 'man1'),
     )
   endif
-endif
-if get_option('man')
-  custom_target('fwupdtool-man',
-    input : fwupdtool,
-    output : 'fwupdtool.1',
-    command : [
-      help2man, '@INPUT@',
-      '--no-info',
-      '--output', '@OUTPUT@',
-      '--name', 'Standalone firmware update utility',
-      '--manual', 'User Commands',
-      '--version-string', fwupd_version,
-    ],
-    install : true,
-    install_dir : join_paths(mandir, 'man1'),
-  )
+  if build_standalone
+    custom_target('fwupdtool-man',
+      input : fwupdtool,
+      output : 'fwupdtool.1',
+      command : [
+        help2man, '@INPUT@',
+        '--no-info',
+        '--output', '@OUTPUT@',
+        '--name', 'Standalone firmware update utility',
+        '--manual', 'User Commands',
+        '--version-string', fwupd_version,
+      ],
+      install : true,
+      install_dir : join_paths(mandir, 'man1'),
+    )
+  endif
 endif
 
 if build_daemon
